accounts/urls.py
from django.urls import path
from django.views.decorators.cache import cache_page

from .api import ProfileAutocompleteSearch
from .views import (
    MyProfileDetail,
    MyProfileDetailExport,
    MyProfileUpdate,
    UserCreate,
    UserDelete,
    UserDetail,
    UserListView,
    UserPassword,
    UserUpdate,
    change_password,
)

# from django.contrib.auth.paths import views
app_name = "accounts"

urlpatterns = [
    path("create", UserCreate.as_view(), name="user_create"),
    path("<int:pk>/update", UserUpdate.as_view(), name="user_update"),
    path("<int:pk>/password", UserPassword.as_view(), name="user_password"),
    path("<int:pk>/delete", UserDelete.as_view(), name="user_delete"),
    path("<int:pk>/detail", UserDetail.as_view(), name="user_detail"),
    path("myprofile/change_password", change_password, name="change_password"),
    path("myprofile/detail", MyProfileDetail.as_view(), name="myprofile_detail"),
    path(
        "myprofile/detail/export",
        MyProfileDetailExport.as_view(),
        name="myprofile_detail_export",
    ),
    path(
        "api/v1/profile/search",
        cache_page(60 * 15)(ProfileAutocompleteSearch.as_view()),
        name="profile_search_api",
    ),
    path("myprofile/update", MyProfileUpdate.as_view(), name="myprofile_update"),
    path("list", UserListView.as_view(), name="user_search"),
]

api/urls.py
# -*- coding: utf-8 -*-

# from django.contrib.auth.decorators import login_required
from django.urls import path

from .views import (  # GeoJSONTiledPlaceData,
    ActiveUserAutocomplete,
    AllUserAutocomplete,
    MetaPlaceAutocomplete,
    MunicipalityAutocomplete,
    PlaceAutocomplete,
    StudyAutocomplete,
    TaxaAutocomplete,
    TerritoryAutocomplete,
    metaplaces_as_geojson,
    places_as_geojson,
    places_in_metaplace_as_geojson,
)

# from sights.models import Municipality, Territory


# from djgeojson.views import GeoJSONLayerView


app_name = "general_api"

urlpatterns = [
    # path(
    #     "municipality.geojson",
    #     login_required(
    #         GeoJSONLayerView.as_view(
    #             model=Municipality,
    #             precision=3,
    #             simplify=0.5,
    #             properties=("name", "code"),
    #         )
    #     ),
    #     name="geodata_municipality",
    # ),
    # path(
    #     "territory.geojson",
    #     login_required(
    #         GeoJSONLayerView.as_view(
    #             model=Territory, precision=3, simplify=0.5, properties=("name", "code")
    #         )
    #     ),
    #     name="geodata_territory",
    # ),
    path("place.geojson", places_as_geojson, name="geodata_place"),
    path("metaplaces.geojson", metaplaces_as_geojson, name="geodata_metaplaces"),
    path(
        "metaplaces/places.geojson",
        places_in_metaplace_as_geojson,
        name="geodata_places_in_metaplaces",
    ),
    path(
        "metaplaces/<int:pk>/places.geojson",
        places_in_metaplace_as_geojson,
        name="geodata_place_in_metaplace",
    ),
    # path(
    #     "place/<int:z>/<int:x>/<int:y>",
    #     GeoJSONTiledPlaceData.as_view(),
    #     name="placetiled",
    # ),
    path(
        "active-user-autocomplete/",
        ActiveUserAutocomplete.as_view(),
        name="active_user_autocomplete",
    ),
    path(
        "all-user-autocomplete/",
        AllUserAutocomplete.as_view(),
        name="all_user_autocomplete",
    ),
    path("taxa-autocomplete/", TaxaAutocomplete.as_view(), name="taxa_autocomplete"),
    path(
        "municipality-autocomplete/",
        MunicipalityAutocomplete.as_view(),
        name="municipality_autocomplete",
    ),
    path(
        "territory-autocomplete/",
        TerritoryAutocomplete.as_view(),
        name="territory_autocomplete",
    ),
    path("place-autocomplete/", PlaceAutocomplete.as_view(), name="place_autocomplete"),
    path(
        "metaplace-autocomplete/",
        MetaPlaceAutocomplete.as_view(),
        name="metaplace_autocomplete",
    ),
    path(
        "v1/study/search",
        StudyAutocomplete.as_view(),
        name="study_autocomplete",
    ),
]

blog/urls.py
from django.urls import path

from .views import ActuCreate, ActuDelete, ActuDetail, ActuList, ActuUpdate

app_name = "blog"

urlpatterns = [
    path("", ActuList.as_view(), name="home"),
    path("actu/list/page<int:page>", ActuList.as_view(), name="home"),
    path("actu/<int:pk>/detail", ActuDetail.as_view(), name="actu_detail"),
    path("actu/add", ActuCreate.as_view(), name="actu_create"),
    path("actu/<int:pk>/update", ActuUpdate.as_view(), name="actu_update"),
    path("actu/<int:pk>/delete", ActuDelete.as_view(), name="actu_delete"),
]

core/urls.py
from django.urls import path

from .views import SystemInformation, UnauthorizedModify, UnauthorizedView

app_name = "core"
urlpatterns = [
    # url d'erreurs
    path("unauthorizedmodify", UnauthorizedModify.as_view(), name="update_unauth"),
    path("unauthorizedview", UnauthorizedView.as_view(), name="view_unauth"),
    # Info systeme
    path("sysinfo", SystemInformation.as_view(), name="sysinfo"),
]

sights/urls.py
from django.urls import include, path

from sights.countdetail import urls as countdetail_urls
from sights.metaplace import urls as metaplace_urls
from sights.observation import urls as observation_urls
from sights.observation.views import SightingMyList, SightingUserList
from sights.place import urls as place_urls
from sights.place.views import PlaceMyList
from sights.session import urls as session_urls
from sights.session.views import SessionMyList

app_name = "sights"

urlpatterns = [
    path("user/place/list", PlaceMyList.as_view(), name="place_mylist"),
    path("user/session/list", SessionMyList.as_view(), name="session_mylist"),
    path("user/sighting/list", SightingMyList.as_view(), name="sighting_mylist"),
    path(
        "user/<int:pk>/sighting/list",
        SightingUserList.as_view(),
        name="user_sighting_list",
    ),
    path("", include(metaplace_urls)),
    path("", include(place_urls)),
    path("", include(session_urls)),
    path("", include(observation_urls)),
    path("", include(countdetail_urls)),
]

templates/main/base_header.html
{% load staticfiles i18n %}

<header>
    <div class="page-header">

        <div class="links">
        {% if user.is_authenticated %}

            <a href="{% url 'accounts:myprofile_detail' %}" title="{% trans 'Mon profile' %}">{{ user.get_username }}</a>
            <a
                href="{% url 'auth_logout' %}"
                title="{% trans 'Se déconnecter' %}"
                ><i
                    class="fa fa-fw fa-sign-out-alt"
                    aria-hidden="true"
                ></i>
            </a>
        {% else %}
            <a href="{% url 'auth_login' %}" title="{% trans 'Se connecter' %}"
                ><i
                    class="fa fa-fw fa-sign-in-alt"
                    aria-hidden="true"
                ></i>
            </a>

        {% endif %}
        </div>
        <img src="{% static 'img/logo_site.png' %}" loading="lazy" />
        <h1>{{ SITE_NAME }}</h1>
    </div>
</header>

templates/main/footer.html
{#{% load staticfiles %}#}
<footer class="footer">
    <div class="container-fluid">
        <span class="text-muted">

            <div class="btn-group btn-group-xs dropup">
                <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown"
                    aria-haspopup="true" aria-expanded="false">
                    <i class="fi-at-sign"></i> <span class="hidden-xs">dbChiro</span> <span class="caret"></span>
        </button>
        <ul class="dropdown-menu">
            <li><a href="https://dbchiro.org" role="button"><i class="fi-web" style="font-size:1em;"></i>
                            dbchiro.org</a></li>
            <li>
                <script>
                    <!--
                    // protected email script by Joe Maller
                    // JavaScripts available at http://www.joemaller.com
                    // this script is free to use and distribute
                    // but please credit me and/or link to my site
                    emailE = 'dbchiro.org'
                    emailE = ('project' + '@' + emailE)
                    document.write('<a href="mailto:' + emailE + '?subject=Contact depuis le site dbchiro[.org]' + '">' + '<i class="fi-mail" style="font-size:1em;"></i> Contactez nous' + '</a>')
                        //-->
                </script>
            </li>
        </ul>
    </div><span class="hidden-xs"> est un projet libre</span> <a class="btn btn-warning btn-xs" href="https://www.gnu.org/licenses/agpl-3.0.fr.html" target="_blank "><span class="hidden-xs">GNU</span>
                AGPL</a>
    <span class="hidden-xs">, les codes
                sources
                sont disponibles sur</span>
    <div class="btn-group btn-group-xs dropup">
        <button type="button" class="btn btn-success dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fa fa-gitlab"></i> FramaGit <span class="caret"></span>
                </button>
        <ul class="dropdown-menu">
            <li><a href="https://framagit.org/dbchiro/dbchiroweb" target="_blank ">dbChiro<sub>[web]</sub>
                            source code</a></li>
            <li><a href="https://framagit.org/dbchiro/dbchiroqgis" target="_blank ">dbChiro<sub>[QGIS]</sub>
                            source code</a></li>
        </ul>
    </div><span class="hidden-xs">. Les principales ressources utilisées sont</span>
    <div class="btn-group btn-group-xs dropup">
        <button type="button" class="btn btn-danger dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fa fa-code"></i> <span class="caret"></span>
                </button>
        <ul class="dropdown-menu">
            <li><a href="https://www.djangoproject.com/" target="_blank">Django</a></li>
            <li><a href="http://postgis.net/" target="_blank">PostgreSQL | PostGIS</a></li>
            <li><a href="https://getbootstrap.com/docs/3.3/" target="_blank">Bootstrap</a></li>
            <li><a href="http://leafletjs.com/" target="_blank">Leaflet.js</a></li>
        </ul>
        <span class="hidden-xs"> &nbsp;| Version :</span>
        <span class="label label-default">{{VERSION}}</span>
    </div>

    <!-- Single button -->
    </span>
    </div>
</footer>

templates/main/head_leaflet.html
{% load leaflet_tags %}
{# CSS et JS de LeafLet #} 
{% leaflet_js plugins="ALL" %}
{% leaflet_css  plugins="ALL"%}

templates/main/head_main_assets.html
{% load staticfiles %}
<script>
  /*******************************************
   * Force reload page content when navigate *
   *******************************************/
  (function () {
    if (window.localStorage) {
      if (!localStorage.getItem('firstReLoad')) {
        localStorage['firstReLoad'] = true;
        window.location.reload();
      } else {
        localStorage.removeItem('firstReLoad');
      }
    }
  })();

</script>
<link rel="shortcut icon" href="{% static 'img/favicon.ico' %}" />
<link rel="stylesheet" href="{% static 'css/font/source-sans-pro/source-sans-pro.css' %}" />
<link rel="stylesheet" href="{% static 'css/font/foundation-icons.css' %}" />
<link rel="stylesheet" href="{% static 'css/all.min.css' %}" />
<link rel="stylesheet" href="{% static 'css/font/MapkeyIcons.css' %}" />
<link rel="stylesheet" href="{% static 'css/jquery/jquery-ui.theme.min.css' %}" />
<link rel="stylesheet" href="{% static 'css/jquery/jquery-ui.structure.min.css' %}" />
<link rel="stylesheet" href="{% static 'css/jquery/jquery-ui.min.css' %}" />
<link rel="stylesheet" href="{% static 'css/bs3_custom_theme/theme.css' %}" />
<link rel="stylesheet" href="{% static 'css/bootstrap-datetimepicker.min.css' %}" />
<link rel="stylesheet" href="{% static 'css/datatables.min.css' %}" />
<link rel="stylesheet" href="{% static 'css/vue-select.css' %}" />
<script src="{% static 'js/jquery/jquery.min.js' %}"></script>
<script src="{% static 'js/bootstrap.min.js' %}" defer></script>
<script src="{% static 'js/vue.js' %}" defer></script>
<script src="{% static 'js/vee-validate.js' %}" defer></script>
<script src="{% static 'js/vue-select.js' %}" defer></script>
<script src="{% static 'js/axios.min.js' %}" defer></script>
<script src="{% static 'js/preload_app.js' %}" defer></script>
<script src="{% static 'js/datatables.min.js' %} " defer></script>
<script src="{% static 'js/moment.min.js' %} " defer></script>
<script src="{% static 'js/bootstrap-datetimepicker.min.js' %} " defer></script>
<script src="{% static 'js/what-input.js' %} " defer></script>
<script src="{% static 'js/chart.min.js' %}" defer></script>
<script src="{% static 'js/vue-chartjs.min.js' %}" defer></script>
<script src="{% static 'js/app.js' %} " defer></script>
{% if form %} {{ form.media }} {% endif %}
<!-- filter tag is for django filter -->
{% if filter %}{{ filter.form.media }}{% endif %}
<link rel="stylesheet" href="{% static 'css/app.css' %}" />

templates/main/sidebar.html
{% load i18n %}
{% load staticfiles %}
<nav class="navbar navbar-default navbar-fixed-top" id="sidebar-wrapper" role="navigation">
  <ul class="nav sidebar-nav">
    <li class="sidebar-brand">
      <a href="/"><img src="{% static 'img/dbchiro_main_logo.svg' %}" width="30" loading="lazy" > dbChiro<sub>[web]</sub></a>
    </li>
    <li class="dropdown">
      <a href="#" class="dropdown-toggle" data-toggle="dropdown">
        <i class="fa fa-fw fa-chart-pie" aria-hidden="true"></i> {% trans 'Synthèse' %} <span class="caret"></span></a>
      <ul class="dropdown-menu" role="menu">
        <li><a href="{% url 'synthesis:global_contrib' %}"><i class="fa fa-fw fa-chart-line" aria-hidden="true"></i>
            {% trans 'Contributions' %}</a>
        </li>
      </ul>
    </li>
    {% if user.is_authenticated %} {# Début du menu des Observations #}
    <li class="dropdown">
      <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-fw fa-eye"></i>
        {% trans 'Observations' %} <span class="caret"></span></a>
      <ul class="dropdown-menu" role="menu">
        <li><a href="{% url 'sights:place_map' %}"><i class="far fa-map"></i> {% trans 'Carte' %}<span
              class="hide-for-small-only"> {% trans 'des localités et métasites' %}</span></a></li>
        <li class="dropdown-header">
          <i class="fa fa-fw fa-map-pin"></i> {% trans 'Localités' %}</a>
        </li>
        <li><a href="{% url 'sights:place_search' %}"><i class="fa fa-fw fa-search"></i>
            {% trans 'Rechercher' %}<span class="hide-for-small-only">
              {% trans 'des localités' %}</span></a></li>
        <li><a href="{% url 'sights:place_create' %}"><i class="fa fa-fw fa-map-marker-alt"></i>
            {% trans 'Nouvelle localité' %}</a></li>
    </li>
    <li class="dropdown-header">
      <i class="fa fa-fw fa-map-pin"></i> {% trans 'Métasite' %}</a>
    </li>
    <li><a href="{% url 'sights:metaplace_search' %}"><i class="fa fa-fw fa-search"></i>
        {% trans 'Rechercher un métasite' %}</a></li>
    </li>
    <li><a href="{% url 'sights:metaplace_create' %}"><i class="fa fa-fw fa-draw-polygon"></i>
        {% trans 'Nouveau métasite' %}</a></li>
    </li>

    {% if user.is_resp or user.access_all_data or user.edit_all_data or user.is_staff or user.is_superuser or SEE_ALL_NON_SENSITIVE_DATA %}
    <li class="dropdown-header">
      <i class="fa fa-fw fa-eye"></i> {% trans 'Observations' %}
    </li>
    <li>
      <a href="{% url 'sights:sighting_search' %}"><i class="fa fa-fw fa-list"></i>
        {% trans 'Rechercher des observations' %}</a>
    </li>
    {% endif %}

  </ul>
  </li>
  {# Fin du menu des Observations #} {# Début du menu de gestion #}
  {% comment %} <li class="dropdown">
    <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-fw fa-paperclip"></i>
      {% trans 'Metadonnées' %}<span class="caret"></span>
    </a>

    <ul class="dropdown-menu">
      <li>
        <a href="{% url 'metadata:organisms_list' %}"><i class="fa fa-fw fa-user-plus"></i>
          {% trans 'Organismes' %}</a>
      </li>
      <li><a href="{% url 'metadata:acquisition_framework_create' %}"><i class="fa fa-fw fa-list-alt"></i>
          {% trans "Cadres d'acquisitions" %}</a>
      </li>
      <li><a href="{% url 'metadata:acquisition_framework_create' %}"><i class="fa fa-fw fa-user-plus"></i>
          {% trans 'Jeux de données' %}</a>
      </li>
    </ul>
  </li> {% endcomment %}
  <li class="dropdown">
    <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-fw fa-paperclip"></i>
      {% trans 'Gestion' %}<span class="caret"></span>
    </a>

    <ul class="dropdown-menu">
      {% if user.is_resp or user.access_all_data or user.edit_all_data or user.is_staff or user.is_superuser %}
      <li class="dropdown-header">
        <i class="fa fa-fw fa-users" aria-hidden="true"></i> {% trans 'Observateurs' %}
      </li>
      <li><a href="{% url 'accounts:user_search' %}"><i class="fa fa-fw fa-list-alt"></i>
          {% trans 'Liste des observateurs' %}</a>
      </li>
      <li><a href="{% url 'accounts:user_create' %}"><i class="fa fa-fw fa-user-plus"></i>
          {% trans 'Nouvel observateur' %}</a>
      </li>
      <li class="dropdown-header">
        <i class="far fa-newspaper" aria-hidden="true"></i> {% trans 'Actualités' %}</a>
      </li>
      <li><a href="{% url 'blog:actu_create' %}"><i class="fa fa-fw fa-plus"></i> {% trans 'Nouvel article' %}</a>
      </li>
      {% endif %}
      <li class="dropdown-header">
        <i class="far fa-folder-open"></i> {% trans 'Etudes' %}</a>
      </li>
      <li><a href="{% url 'management:study_list' %}"><i class="fa fa-fw fa-list"></i>
          {% trans 'Liste des études' %}</a></li>
      <li><a href="{% url 'management:study_create' %}"><i class="fa fa-fw fa-plus"></i>
          {% trans 'Nouvelle étude' %}</a></li>
      <li class="dropdown-header">
        <i class="fa fa-fw fa-podcast"></i> {% trans 'Emetteurs télémétriques' %}</a>
      </li>
      <li><a href="{% url 'management:transmitter_list' %}"><i class="fa fa-fw fa-list"></i>
          {% trans 'Liste des émetteurs' %}</span></a>
      </li>
      <li><a href="{% url 'management:transmitter_create' %}"><i class="fa fa-fw fa-plus"></i>
          {% trans 'Nouvel émetteur' %}</a>
      </li>
  </li>
  <li class="dropdown-header">
    <i class="fa fa-fw fa-gavel"></i> {% trans 'Arrêtés dérogatoires' %}
  <li><a href="{% url 'management:catchauth_list' %}"><i class="fa fa-fw fa-list"></i>
      {% trans 'Liste des arrêtés' %}</a>
  </li>
  <li><a href="{% url 'management:catchauth_create' %}"><i class="fa fa-fw fa-plus"></i>
      {% trans 'Nouvel arrêté' %}</a>
  </li>
  </li>
  </ul>
  </li>
  {# Fin du menu de gestion #} {# Début du menu du compte utilisateur #}
  <li class="dropdown">
    <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-fw fa-user-circle"></i>
      {% trans 'Mon compte' %}
      <span class="caret"></span>
    </a>

    <ul class="dropdown-menu" role="menu">
      <li>
        <a href="{% url 'accounts:myprofile_detail' %}"><i class="far fa-fw fa-id-card"></i>
          {% trans 'Mon profile' %}</a>
      </li>
      <li>
        <a href="{% url 'accounts:myprofile_update' %}"><i class="fa fa-fw fa-user-edit"></i>
          {% trans 'Modifier mon profile' %}</a>
      </li>
      <li>
        <a href="{% url 'accounts:change_password' %}"><i class="fa fa-fw fa-key"></i>
          {% trans 'Modifier mon mot de passe' %}</a>
      </li>
      <li class="dropdown-header"><i class="fas fa-database"></i> Mes données</li>
      <li><a href="{% url 'sights:place_mylist' %}"><i class="fa fa-fw fa-map-marker-alt"></i>
          {% trans 'Mes localités' %}</a></li>
      <li><a href="{% url 'sights:session_mylist' %}"><i class="fa fa-fw fa-calendar-alt"></i>
          {% trans 'Mes sessions' %}</a></li>
      <li><a href="{% url 'sights:sighting_mylist' %}"><i class="fa fa-fw fa-eye"></i>
          {% trans 'Mes observations' %}</a></li>
    </ul>
  </li>
  {# Fin du menu du compte utilisateur #} {% if user.is_superuser %}
  <li><a href="{% url 'admin:index' %}"><i class="fa fa-fw fa-cogs"></i> {% trans 'Administration du site' %}
    </a></li>
  <li><a href="{% url 'core:sysinfo' %}"><i class="fa fa-fw fa-info"></i> {% trans 'Informations système' %}
    </a></li>
  {% endif %} {% else %}
  <li>
    <a href="{% url 'registration_register' %}"><i class="fa fa-fw fa-sign-in-alt" aria-hidden="true"
        alt="Mot de passe oublié"></i> {% trans "S'enregistrer ?" %}
    </a>
  </li>
  <li>
    <a href="{% url 'auth_login' %}" alt="Se connecter"><i class="fa fa-fw fa-sign-in-alt" aria-hidden="true"></i>
      {% trans 'Se connecter' %}</a>
  </li>
  <li>
    <a href="{% url 'auth_password_reset' %}" alt="{% trans "Reset it" %}">
      <i class="fa fa-fw fa-lock" aria-hidden="true" alt="Se connecter"></i> {% trans "Forgot your password?" %}
    </a>
  </li>

  {% endif %} {% if user.is_authenticated %}
  <li>
    <a href="{% url 'auth_logout' %}">
      <i class="fa fa-fw fa-sign-out-alt" aria-hidden="true"></i> {% trans 'Se déconnecter' %}
      ({{ user.username }})
    </a>
  </li>
  <li>
    <a href="{% url 'auth_password_change' %}"><i class="fa fa-fw fa-sign-in-alt" aria-hidden="true"
        alt="Changer son mot de passe"></i>
      {% trans 'Changer son mot de passe' %}</a>
  </li>
  {% endif %}
  </ul>
</nav>
<button type="button" class="hamburger is-closed" data-toggle="offcanvas" title="Menu">
  <span class="hamb-top"></span>
  <span class="hamb-middle"></span>
  <span class="hamb-bottom"></span>
</button>

templates/main/small_header.html
{% load staticfiles %}
<header>
    <div class="page-header">
        <img src="{% static 'img/dbchiro_main_logo.svg' %}" width="100" loading="lazy" >
        <h1>dbChiro<sub>[web]</sub></h1>
    </div>
</header>